/*
    Turbo BDM Light - message log
    Copyright (C) 2005  Daniel Malik

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#include <windows.h>
#include <stdio.h>
#include <time.h>
#include "log.h"
#include "version.h"

#ifdef LOG
	FILE *log_file=NULL;
#endif

/* provides print function which prints data into a log file */
#ifdef  LOG
	void print(const char *format, ...) {
		va_list list;
		va_start(list, format);
		//fprintf(log_file, "%04.3f: ",1.0*GetTickCount()/1000);
		vfprintf(log_file, format, list);
		va_end(list);
		fflush(log_file);
	}
	
	void printDump(unsigned char *data, unsigned int size) {
		unsigned int i=0;
		while(size--) {
			fprintf(log_file,"%02X ",*(data++));
			if (((++i)%16)==0) fprintf(log_file,"\r\n");
		}
		if (((i)%16)!=0) fprintf(log_file,"\r\n");
		fflush(log_file);
	}
	
	void openLogFile(char *LogFileName){
	   char path[MAX_PATH];
	   char *charp;
	   time_t time_now;

	   if (LogFileName == NULL) {
         GetModuleFileName(NULL,path,sizeof(path));
         charp=strchr(path,'\\');
         if (charp!=NULL) {
            while (strchr(charp+1,'\\'))
               charp=strchr(charp+1,'\\'); /* find the last backslash */
            strcpy(charp+1,"osbdm_dll.log");
            //log_file=fopen(path,"wb");
         }
	   }
      if (log_file == NULL)
         log_file=fopen("C:\\osbdm_dll.log","wb");
      print("Log file path: %s\r\n",path);
      print("Opensource BDM DLL v%1d.%1d. Compiled on %s, %s.\r\n",TBDML_DLL_VERSION/16,TBDML_DLL_VERSION&0x0f,__DATE__,__TIME__);
      time(&time_now);
      print("Log file created on: %s\r", ctime(&time_now));
	}
	
   void closeLogFile(void){
      time_t time_now;
      
       time(&time_now);
       print("End of log file: %s\r", ctime(&time_now));
       fclose(log_file);
	}
#else
	void print(const char *format, ...) {
		return;
	}

	void printDump(unsigned char *data, unsigned int size) {
		return;
	}
	
   void openLogFile(char *LogFileName){
      return;
   }
   
   void closeLogFile(void){
      return;
   }
#endif

