//====================================
// Configure.h
//====================================

//=================================================================================
// Debugging options
//
#define DEBUG_COMMANDS (1<<0) // Debugging command interface
#define STACK_DEBUG    (1<<1) // Measurement of stack size
#define ACK_DEBUG      (1<<2) // Debug pin active during ACK code
#define SYNC_DEBUG     (1<<3) // Debug pin active during SYNC code
#define RESET_DEBUG    (1<<4) // Debug pin active during Reset sequence
#define CYCLE_DEBUG    (1<<5) // Debug pin active during Vdd cycling
#define COMMAND_DEBUG  (1<<6) // Use debug version of commandExec

#define DEBUG (DEBUG_COMMANDS|ACK_DEBUG|SYNC_DEBUG|RESET_DEBUG|COMMAND_DEBUG) // Change to enable some debugging code

//=====================================================================================
// Uncomment one of the following lines to choose a configuration
//
// If creating a new configuration copy one of the existing configurations (USBDM) to
//  a new file and add below 
//=====================================================================================

//#include "USBDM_JB16.h"  // USBDM    - Universal TBDML/OSBDM  - see USBDM_JB16_SOIC.pdf
//#include "TBDML_JB16.h"  // TBDML    - Minimal JB16 version   - see TBDML_JB16_SOIC28.pdf
//#include "OSBDM_JB16.h"  // OSBDM    - Basic OSBDM hardware   - see OSBDM.pdf schematic, 21/12/2005
//#include "WTBDM_JB16.h"  // WTBDM08  - Wiztronics BDMS08      - see WTBDMS08.pdf schematic 27/6/2007 
#include "OSBDME_JB16.h" // OSBDM+E  - OSBDM+Flash supply     - see OSBDM08+e.pdf schematic, 30/12/2006

//#include "USBDM_JM60.h"  // USBDM - Universal TBDML/OSBDM - see schematic provided
