/***********************************************************
 * User Vector Table
 *
 * Modify as necessary for interrupt routines.
 **********************************************************/
#include "ICP.h" 

#pragma TRAP_PROC
void userDummy(void) {
}

/*
 * External interrupt routines
 */
extern void _Startup(void); // Low-level C startup entry point
extern void bdm_reset_sense(void);
extern void usb_isr(void);
extern void bdm_Target_Vdd_sense(void);

/*
 * User vector table
 */
#define JMPOPCODE (0xCC)
const UserVector userVectorTable[17] @USER_VECTORTABLE_LOCATION = {
   { JMPOPCODE, (void(*)())userDetectICP  }, // User Level ICP detection
   { JMPOPCODE, bdm_reset_sense           }, // Keyboard
   { JMPOPCODE, userDummy                 }, // SCI Transmit
   { JMPOPCODE, userDummy                 }, // SCI Receive
   { JMPOPCODE, userDummy                 }, // SCI Error
   { JMPOPCODE, userDummy                 }, // TIM2 Overflow
   { JMPOPCODE, bdm_Target_Vdd_sense      }, // TIM2 Ch0 & Ch1
   { JMPOPCODE, bdm_Target_Vdd_sense      }, // TIM2 Ch1
   { JMPOPCODE, bdm_Target_Vdd_sense      }, // TIM2 Ch0
   { JMPOPCODE, userDummy                 }, // TIM1 Overflow
   { JMPOPCODE, bdm_Target_Vdd_sense      }, // TIM1 Ch0 & Ch1
   { JMPOPCODE, bdm_Target_Vdd_sense      }, // TIM1 Ch1
   { JMPOPCODE, bdm_Target_Vdd_sense      }, // TIM1 Ch0
   { JMPOPCODE, userDummy                 }, // IRQ
   { JMPOPCODE, usb_isr                   }, // USB
   { JMPOPCODE, userDummy                 }, // SWI
   { JMPOPCODE, _Startup                  }  // Reset - don't change
};
